# Class: Code

Defined in: | node_modules/haml-coffee/src/nodes/code.coffee
Inherits: | Node

## Overview

Code node that represent lines of CoffeeScript code in the Haml template.

### Examples:

#### inline code

    - for project in projects

#### Escaped code assignment

    = user.get('email')

#### Unescaped code assignment

    != user.get('email')

## Variables Summary

### Variable inherited from Node

CLEAR_WHITESPACE_LEFT CLEAR_WHITESPACE_RIGHT

## Instance Method Summary

- # (void) evaluate() Evaluate the Haml inline code

## Inherited Method Summary

### Methods inherited from Node

#addChild #getOpener #getCloser #isPreserved #isCommented #markText #markRunningCode #markInsertingCode #evaluate #render

## Instance Method Details

# (void) evaluate()

Evaluate the Haml inline code

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input